use soundboard::soundclips::*;

fn main() {
    println!("Starting...");
    if let Some(sound_clips) = scan_directory_for_clips(
        "D:/work/workspace/rust_explore/soundboard/sounds/example",
        &["mp3", "wav"],
    ) {
        println!("Sound clips found: {}", sound_clips.len());
        println!(
            "{}",
            sound_clips
                .iter()
                .map(|clip| format!("{}", clip))
                .collect::<Vec<String>>()
                .join("\n")
        );
    } else {
        println!("No clips found.");
    }
}
